Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Counter - RG354102

Description

This block implements a positive-edge triggered up/down counter with a count range from 0 to 32000.  This function block provides a single output (Count):  an ordinal between 0 and 32000.

When the input (Count) transitions from false to true, the counter will count in the direction specified.

When the reset input goes high, the counter is set to zero; the reset input overrides the count input.

Parameters

Count	Count input to the counter.  Expects true or false.

Reset	Reset input to the counter.  Expects true or false.

Direction	Direction input to the counter.  Expects down (false) or up (true).

Get Count	Returns the current count:  0 to 32000.

Get Direction	Returns the current direction:  down (false) or up (true).


Description

This block implements a positive-edge triggered up/down counter with a count range from 0 to 32000.  This function block provides a single output (Count):  an ordinal between 0 and 32000.

When the input (Count) transitions from false to true, the counter will count in the direction specified.

When the reset input goes high, the counter is set to zero; the reset input overrides the count input.


Parameters

Count	Count input to the counter.  Expects true or false.

Reset	Reset input to the counter.  Expects true or false.

Direction	Direction input to the counter.  Expects down (false) or up (true).

Get Count	Returns the current count:  0 to 32000.

Get Direction	Returns the current direction:  down (false) or up (true).